DELETE
/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary
http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabularyRemoves a custom vocabulary from the specified locale in the specified bot.
Access Token Required: API Key
Path Parameters
botIdstringrequired
The unique identifier of the bot to remove the custom vocabulary from.
botVersionstringrequired
The version of the bot to remove the custom vocabulary from.
localeIdstringrequired
The locale identifier for the locale that contains the custom vocabulary to remove.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}